View Issue Details

IDProjectCategoryView StatusLast Update
0000600luatexluatex bugpublic2015-10-19 18:18
ReporterTacoAssigned Tohhenkel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.81.0 
Summary0000600: "nop" in virtual fonts
DescriptionFrom UF:

Am Fri, 25 Mar 2011 07:56:48 +0100 schrieb Taco Hoekwater:

> > On 03/24/2011 05:22 PM, Ulrike Fischer wrote:
>> >> The luatex manual mentions in the section about virtual fonts the
>> >> command "nop" which should do nothing.
>> >>
>> >> But when I tried it in a virtual font
>> >>
>> >> chars[u].commands= {{'nop'}}
>> >>
>> >> I got a lot of messages
>> >>
>> >> unknown packet command nop!
> >
> > Strange, should work. Can you provide a small test file please?
OK.

In the context minimals there is in tex\generic\context a
luatex-fonts-demo-vf-1.lua (written by Hans).

If one compile (in context minimals updated some days ago) the
document below which use this virtual font one gets a three colored
text.

Now if I exchange line 27

- v.commands = { color[n], { 'slot', n, u }, color[0]}
+ v.commands = { color[n], { 'slot', n, u }, color[0], {'nop'}}

I get

unknown packet command nop!
PANIC: unprotected error in call to Lua API (bad argument #-1
(number expected,
got nil))

If I use

- v.commands = { color[n], { 'slot', n, u }, color[0]}
+ v.commands = { {'nop'}}

the document compiles but I get tons of the messages "unknown packet
command nop!"

I:\Z-Test>luatex --version
This is LuaTeX, Version beta-0.66.0-2011031911 (Web2C 2010) (rev
4093)


\starttext
  \font\mine=file:luatex-fonts-demo-vf-1.lua at 12pt
  \mine \input tufte \par
\stoptext

TagsNo tags attached.

Activities

Hans Hagen

2011-03-26 11:37

manager   ~0000762

This is not really a bug as it's not 'nop' but 'comment' and there can be optional arguments that get ignored, so:

{ 'comment', 'whatever', 1, 2, 3 }

(already there for a while as we considered comment to be more generic than nop)

Hans

Taco

2011-04-11 10:23

administrator   ~0000777

revision 4119

Note for Hans: yes, using 'comment' is better, but 'nop' is documented and totally trivial to support

Hans Hagen

2011-04-11 10:56

manager   ~0000779

being documented is a bit weak argument; in that case 'nop' should *not* accept arguments or "comment" should end up as comment in the pdf output

Taco

2011-04-11 11:38

administrator   ~0000783

Q for Hartmut: is that doable?

Hans Hagen

2015-10-19 18:18

manager   ~0001433

seems fixed

Issue History

Date Modified Username Field Change
2011-03-26 09:23 Taco New Issue
2011-03-26 09:23 Taco Status new => assigned
2011-03-26 09:23 Taco Assigned To => Taco
2011-03-26 11:37 Hans Hagen Note Added: 0000762
2011-04-11 10:23 Taco Note Added: 0000777
2011-04-11 10:23 Taco Status assigned => resolved
2011-04-11 10:23 Taco Resolution open => fixed
2011-04-11 10:56 Hans Hagen Note Added: 0000779
2011-04-11 11:38 Taco Note Added: 0000783
2011-04-11 11:38 Taco Status resolved => assigned
2011-04-11 11:38 Taco Assigned To Taco => hhenkel
2015-10-19 18:18 Hans Hagen Note Added: 0001433
2015-10-19 18:18 Hans Hagen Status assigned => closed
2015-10-19 18:18 Hans Hagen Fixed in Version => 0.81.0